Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2577363002: Implement CSS Logical Properties: inline/block size (Closed)

Created:
2 years ago by xing.xu
Modified:
1 year, 11 months ago
CC:
darktears, apavlov+blink_chromium.org, asvitkine+watch_chromium.org, blink-reviews, blink-reviews-css, blink-reviews-style_chromium.org, chromium-reviews, dglazkov+blink, rwlbuis
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Implement CSS Logical Properties: inline/block size These properties provide the author with the ability to control layout through logical, rather than physical, direction and dimension mappings. Intent to Implement and Ship: CSS Logical Properties, Inline/Block size, https://groups.google.com/a/chromium.org/forum/#!topic/blink-dev/4qEXWptfVHs. This intent is a followup for "Intent to Deprecate and Remove: -webkit-{min-,max-}logical-{width,height}", https://groups.google.com/a/chromium.org/forum/#!topic/blink-dev/VbPI65jBMIc. When entire css-logical-props are implemented, will review these -webkit-{min-,max-}logical-{width,height} and see if it is necessary to remove them. Spec: https://drafts.csswg.org/css-logical-props-1/#logical-dimension-properties https://drafts.csswg.org/css-writing-modes-3/#logical-to-physical BUG=538475 Review-Url: https://codereview.chromium.org/2577363002 Cr-Commit-Position: refs/heads/master@{#441979} Committed: https://chromium.googlesource.com/chromium/src/+/27fa89644b9c8ea68e0445ff6f170acdc3eb0933

Patch Set 1 #

Patch Set 2 : Fix webexposed test #

Total comments: 2

Patch Set 3 : Fix alphabetical order #

Patch Set 4 : Refactor test case, add {inline-,block-}size overrides width height #

Total comments: 4

Patch Set 5 : Refactor reftest to testharness.js #

Patch Set 6 : Refactor test case, add more table case #

Patch Set 7 : Refine case, add quirky length case #

Patch Set 8 : Refactor test case #

Unified diffs Side-by-side diffs Delta from patch set Stats (+760 lines, -1 line) Patch
A third_party/WebKit/LayoutTests/css3/logical-props/logicalprops-block-size.html View 1 2 3 4 5 6 7 1 chunk +163 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/css3/logical-props/logicalprops-block-size-vlr.html View 1 2 3 4 5 6 7 1 chunk +167 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/css3/logical-props/logicalprops-inline-size.html View 1 2 3 4 5 6 7 1 chunk +163 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/css3/logical-props/logicalprops-inline-size-vlr.html View 1 2 3 4 5 6 7 1 chunk +167 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/css3/logical-props/logicalprops-quirklength.html View 1 2 3 4 5 6 7 1 chunk +30 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/css3/logical-props/resources/style-check.js View 1 2 3 4 1 chunk +9 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/virtual/stable/webexposed/css-properties-as-js-properties-expected.txt View 1 3 chunks +6 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/webexposed/css-properties-as-js-properties-expected.txt View 1 3 chunks +6 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/CSSProperties.in View 1 chunk +8 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/CSSProperty.cpp View 1 chunk +6 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/ComputedStyleCSSValueMapping.cpp View 1 2 1 chunk +6 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/parser/CSSParserFastPaths.cpp View 1 2 1 chunk +4 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp View 2 chunks +6 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/frame/UseCounter.cpp View 2 chunks +13 lines, -1 line 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 chunk +6 lines, -0 lines 0 comments Download

Messages

Total messages: 76 (49 generated)
xing.xu
PTAL. Intent to Implement and Ship: https://groups.google.com/a/chromium.org/forum/#!topic/blink-dev/4qEXWptfVHs This is a followup for "Intent to Deprecate ...
2 years ago (2016-12-16 13:59:49 UTC) #9
foolip
I'd happy to leave the review to the style/layout experts, but let me know if ...
2 years ago (2016-12-16 14:56:31 UTC) #12
cbiesinger
A few comments below, but I'll leave final review to a style person. https://codereview.chromium.org/2577363002/diff/20001/third_party/WebKit/Source/core/css/ComputedStyleCSSValueMapping.cpp File ...
2 years ago (2016-12-16 18:51:50 UTC) #13
xing.xu
On 2016/12/16 18:51:50, cbiesinger wrote: > A few comments below, but I'll leave final review ...
2 years ago (2016-12-16 23:52:50 UTC) #16
jochen (gone - plz use gerrit)
please link to the intent to ship from the CL description.
2 years ago (2016-12-19 11:53:39 UTC) #23
jochen (gone - plz use gerrit)
UseCounter.cpp / histograms.xml lgtm
2 years ago (2016-12-19 11:54:23 UTC) #24
xing.xu
On 2016/12/19 11:53:39, jochen wrote: > please link to the intent to ship from the ...
1 year, 12 months ago (2016-12-19 14:15:39 UTC) #28
xing.xu
PTAL, thanks
1 year, 12 months ago (2016-12-21 00:16:11 UTC) #30
cbiesinger
Adding some more style reviewers who are hopefully not OOO. Also see nit below. https://codereview.chromium.org/2577363002/diff/60001/third_party/WebKit/Source/core/css/parser/CSSParserFastPaths.cpp ...
1 year, 12 months ago (2016-12-21 23:15:00 UTC) #32
xing.xu
I am not sure if I understand your idea clearly. In CSSParserFastPaths.cpp file, it seems ...
1 year, 12 months ago (2016-12-22 01:31:34 UTC) #33
xing.xu
And the following two group: /*Width/Height group,1st is CSSPropertyH*/ case CSSPropertyHeight: case CSSPropertyWidth: /*MinWidth/MinHeight group*/ ...
1 year, 12 months ago (2016-12-22 01:35:08 UTC) #34
xing.xu
Oh, it seems Width/Height group and MinWidth/MinHeight group not merged in current implementation. So, do ...
1 year, 12 months ago (2016-12-22 01:43:08 UTC) #35
cbiesinger
I guess I'll let a style owner comment on that
1 year, 12 months ago (2016-12-22 03:17:17 UTC) #36
rune
Source/core/css lgtm. We don't seem to be strict in the switch case ordering in that ...
1 year, 12 months ago (2016-12-22 11:29:34 UTC) #37
xing.xu
I have no plan to upstream to csswg. But if necessary, I would like to ...
1 year, 12 months ago (2016-12-22 11:57:47 UTC) #38
rune
On 2016/12/22 11:57:47, xing.xu wrote: > I have no plan to upstream to csswg. But ...
1 year, 12 months ago (2016-12-22 13:13:10 UTC) #39
rune
https://codereview.chromium.org/2577363002/diff/60001/third_party/WebKit/LayoutTests/css3/logical-props/logicalprops-block-size.html File third_party/WebKit/LayoutTests/css3/logical-props/logicalprops-block-size.html (right): https://codereview.chromium.org/2577363002/diff/60001/third_party/WebKit/LayoutTests/css3/logical-props/logicalprops-block-size.html#newcode42 third_party/WebKit/LayoutTests/css3/logical-props/logicalprops-block-size.html:42: <div id="div3">Hello, this is a test</div> I think using ...
1 year, 12 months ago (2016-12-22 13:13:28 UTC) #40
xing.xu
Hi, tune@, all cases were re-factored to testharness.js, PTAL.
1 year, 12 months ago (2016-12-23 05:11:19 UTC) #45
rune
On 2016/12/23 05:11:19, xing.xu wrote: > Hi, tune@, all cases were re-factored to testharness.js, PTAL. ...
1 year, 11 months ago (2017-01-03 13:53:02 UTC) #50
Timothy Loh
lgtm but a couple of things for you to do first. Could you test that ...
1 year, 11 months ago (2017-01-04 03:38:12 UTC) #51
xing.xu
Add the quirky related length case. Add "When logical properties are done, will review these ...
1 year, 11 months ago (2017-01-04 06:51:23 UTC) #57
Timothy Loh
On 2017/01/04 06:51:23, xing.xu wrote: > Add the quirky related length case. > Add "When ...
1 year, 11 months ago (2017-01-05 05:15:18 UTC) #60
xing.xu
I think it's best to wait for the entire css-logical-props to be implemented.
1 year, 11 months ago (2017-01-05 05:33:04 UTC) #61
xing.xu
Refactor test case base on https://github.com/w3c/csswg-test/pull/1165. PTAL. BTW, now that there are two lgtm, and ...
1 year, 11 months ago (2017-01-06 13:25:06 UTC) #67
rune
On 2017/01/06 13:25:06, xing.xu wrote: > Refactor test case base on https://github.com/w3c/csswg-test/pull/1165. PTAL. > > ...
1 year, 11 months ago (2017-01-06 14:06:16 UTC) #68
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2577363002/140001
1 year, 11 months ago (2017-01-06 16:22:38 UTC) #73
commit-bot: I haz the power
1 year, 11 months ago (2017-01-06 18:21:02 UTC) #76
Message was sent while issue was closed.
Committed patchset #8 (id:140001) as
https://chromium.googlesource.com/chromium/src/+/27fa89644b9c8ea68e0445ff6f17...

Powered by Google App Engine
This is Rietveld 408576698